##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


CUBEGUI_CONFIG = /usr/bin/cubegui-config
CUBELIB_CONFIG = /builddir/build/BUILD/cube-4.9/cubelib-config

INCLUDEPATH    += $$system($$CUBEGUI_CONFIG --include)  $$system($$CUBELIB_CONFIG --include)
LIBS           += $$system($$CUBEGUI_CONFIG --ldflags) $$system($$CUBEGUI_CONFIG --libs) \
                  $$system($$CUBELIB_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --libs)

TEMPLATE        = lib
CONFIG         += plugin
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

HEADERS         = ContextFreeClientPluginExample.h
SOURCES         = ContextFreeClientPluginExample.cpp
TARGET          = $$qtLibraryTarget(ContextFreeClientPlugin)
